### Method

# Foundry CompletionProvider refilter

#### Declaration [src]

    DexFuture*
    foundry_completion_provider_refilter (
      FoundryCompletionProvider* self,
      FoundryCompletionRequest* request,
      GListModel* model
    )

#### Description [src]

Asynchronously refilter `model` or provides an alternate result set.

#### Parameters

`request`

  Type: `FoundryCompletionRequest`

  A `FoundryCompletionRequest`.

  The data is owned by the caller of the method.

`model`

  Type: `GObject`

  A `GListModel`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

`DexFuture` that resolves to a `GListModel` of `FoundryCompletionProposal` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.